Subject: [bug#38546] [PATCH v4] Update Julia 1.3.1: almost done

From: Nicolò Balzarotti <[email-masked]>
Date: Tue, 25 Feb 2020 19:08:39 +0100

zimoun <[email-masked]> writes:

> Hi Nicolò,
>
> On Mon, 24 Feb 2020 at 21:59, Nicolò Balzarotti <[email-masked]> wrote:
>
>> Here's a friendly 1.3.1 + HTTP.jl + dependencies patch submission.
>> Hopefully this time it's fine.  Package precompilation should be working
>> now (except json, whose cache, for some reason, is not valid and gets
>> rebuilt).
>
> Cool! Thank you.
> I would like to first push 1.3.1, i.e., the patches v4.
>
OOk
> Then let open another bug report with the patches attached here.
> Otherwise, it seems a non-ending process. ;-)
>
>
> About processing, if you use Magit to generate your patches, do not
> forget to increment the reroll-count (W c C-m v) otherwise "git
> format-patch -v5". It eases to know which version of the patches we
> are talking about. For example, here it is the fifth.
>
Thanks! Didn't know about it. Should I re-submit them with the v5 prefix?
>
>> As a reminder: determinism is still not addressed and will be fixed in
>> the 1.4.0 release (hopefully, upstream is still not that responsive).
>> However, there are dozens of julia packages that I want to package, so
>> if this first batch is finally fine, more will come.
>
> Yes, hope soon. :-)
>
Nicolò
> Cheers,
> simon